Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal
Class RequestDirectives

    java.lang.Object
      org.apache.cactus.internal.RequestDirectives

public class RequestDirectives
extends java.lang.Object

Encapsulates the Cactus-specific parameters added to a request.

Version:
  $Id: RequestDirectives.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`RequestDirectives(WebRequest theRequest)`

Method Summary
`void` | `setAutoSession(java.lang.String isAutoSession)`
`void` | `setClassName(java.lang.String theName)`
`void` | `setMethodName(java.lang.String theName)`
`void` | `setService(ServiceEnumeration theService)`
`void` | `setWrappedTestName(java.lang.String theName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestDirectives

    public RequestDirectives(WebRequest theRequest)

Parameters:
  `theRequest` - The WebRequest to read directives from or apply directives to.

Method Detail

### setClassName

    public void setClassName(java.lang.String theName)

  Parameters:
    `theName` - name of the test class.

### setWrappedTestName

    public void setWrappedTestName(java.lang.String theName)

  Parameters:
    `theName` - The name of the wrapped test.

### setMethodName

    public void setMethodName(java.lang.String theName)

  Parameters:
    `theName` - name of the test method to execute.

### setService

    public void setService(ServiceEnumeration theService)

  Parameters:
    `theService` - The service to request of the redirector.

### setAutoSession

    public void setAutoSession(java.lang.String isAutoSession)

  Parameters:
    `isAutoSession` - A "boolean string" indicating whether or not to use the autoSession option.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.